/*   CS 101, Autumn Semester 2010-11
     C++ Programs for illustration
     Several programs are based on slides/material by
     earlier course instructors
     Prof Milind Sohoni, Prof S Sudarshan, and Prof Abhiram Ranade
     
     The sample programs on Graphics also use sample code
     in the original in the EzWindow documentation
     
     Compiled by Prof Deepak B Phatak, 
     dept of CSE, Kanwal Rekhi Building, IIT Bombay
    
  sample3.cpp  Program to illustrat drawing 
  recatngular points at random locations along with a label
  in a window
  
  A point is approximated by a small object of 
  rectangular shape (size 0.1 x 01 cm)
     
 */
#include <iostream>
#include <string>
// C Stuff
#include <cstdlib>
#include <ctime>
#include <cstdio>
using namespace std;
#include "rect.h"
#include "label.h"

int DimensionX, DimensionY;

void WrapUp(SimpleWindow &z) {
  cout << "Type Ctrl-C to remove the display and exit" << endl;
  char AnyChar;
  cin >> AnyChar;
  z.Close();
}

void generateData(int x[][2], int size) {
  for (int i = 0; i < size; ++i){
    x[i][0] =  DimensionX/(float)size ;
    x[i][1] =   rand() % DimensionY;
    cout << "(" << x[i][0] << "," << x[i][1] << ") ";
  }
  cout << endl;
}

void displayData(SimpleWindow &z, int ecgSignal[][2], int size) {
  for (int i = 0; i < size; ++i) {
    int x = ecgSignal[i][0];
    int y = ecgSignal[i][1];
    RectangleShape Point(z, x, y, Blue, 0.05, 0.05);
    Point.Draw();
    char mystring[80];
  }
}

int ApiMain() {  
  int xPoints;
  srand((unsigned int) time(0));
  cout << "Enter width and height for the window): ";
  cin >> DimensionX >> DimensionY;
  cout << endl<<"How many points do you wish to generate: ";
  cin >> xPoints;
  SimpleWindow w("Random Points", DimensionX, DimensionY);
  w.Open();
  int data[xPoints][2];
  generateData(data, xPoints);
  displayData(w, data, xPoints);
  WrapUp(w);
  return 0;
}
